AOZ Studio Beta - Bug #421

Key State returning undefined the first time a key is pressed.

08/01/2020 01:18 PM - Brian Flanagan

Status: Closed Start date: 08/01/2020
Priority: Normal Due date:

Assignee: Brian Flanagan % Done: 0%
Category: Estimated time: 0:00 hour
Target version: 0.9.9.4

Affected version: 0.9.9.4

Description

History

#1 - 08/01/2020 01:18 PM - Brian Flanagan

- Status changed from New to Resolved

Fixed.

#2 - 08/01/2020 03:05 PM - David Baldwin

That wasn't what it was doing. It was returning "undefined" when the function was called until the first time it was pressed. AOZ interpreted this as

'true’.

#3 - 08/05/2020 03:53 PM - Brian Flanagan

- Status changed from Resolved to Closed

| understand now. | thought you meant WHEN the first key was pressed, not BEFORE. (Note the title "the first time a key is pressed".)

| fixed a different issue based on this ticket, so I'm closing this one. | opened a new ticket for what you meant to ask. (Bug #438)
